import { paraglideMiddleware } from '@paraglide/server.js';
import handler from '@tanstack/react-start/server-entry';

export default {
  fetch(req: Request): Promise<Response> {
    return paraglideMiddleware(req.clone(), () => handler.fetch(req));
  },
};
